<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
        <v-card elevation="6" class="rounded-xl">
          <v-card-title>Jalan-jalan Inspiratif Temani Ibu Komang</v-card-title>
          <v-card-text>
            <v-row justify="center">
              <v-col cols="12" align="center">
                <span class="text-body-2"
                  >Jalan-jalan Inspiratif Temani Ibu Komang, merupakan sebuah
                  inovasi yang melekat pada sosok Ibu Komang Sri Marheni selaku
                  Kepala Kantor Wilayah Kementerian Agama Provinsi Bali melalui
                  kiprah dan upayanya dalam melihat langsung kinerja jajarannya
                  di lapangan sekaligus berdialog untuk mendengarkan cerita umat
                  dan menangkap aspirasi mereka, sehingga umat benar-benar
                  merasakan bahwa negara hadir di tengah-tengah mereka dan
                  mendengarkan aspirasi mereka</span
                >
              </v-col>
            </v-row>
            
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "internal-jin_tomang",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Internal",
        disabled: false,
        href: "internal",
      },
      {
        text: "Jin Tomang",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "JIN TOMANG");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Internal");
        this.$router.back();
      }
    },
  },
};
</script>

<style scoped>
</style>
